Norway


IBM has finally released patches to mitigate the notorious Spectre and vulnerabilities on its Power server line, whilst adding protection from a new flaw affecting its Notes collaboration platform.

Spectre and Meltdown were first made public at the very start of the year, sending system administrators into a patching frenzy — a process complicated by the fact that several fixes subsequently caused new problems for some systems.

IBM seems to have taken its over the new fixes, which it said “make use of speculative execution to perform side-channel information disclosure attacks.”

“The first two vulnerabilities, CVE-2017-5753 and CVE-2017- 5715, are collectively known as Spectre, and allow user-level code to infer data from unauthorized memory; the third vulnerability, CVE-2017-5754, is known as Meltdown, and allows user-level code to infer the contents of kernel memory. The vulnerabilities are all variants of the same class of attacks but differ in the way that speculative execution is exploited,” an advisory published on Saturday noted.

“These vulnerabilities do not allow an external unauthorized party to gain access to a machine, but they could allow a party that has access to the system to access unauthorized data.”

IBM said Power customers must install patches to system firmware and operating systems — with the former a pre-requisite for the latter to be effective.

Firmware patches for Power7, Power7 , Power8 and Power9 are available via FixCentral, as are IBM i operating system patches.

AIX OS patches are available from a separate website, while Linux OS patches are available through partners RedHat, SUSE and Canonical.

IBM has also been forced to issue an interim fix for CVE-2017-1711, a vulnerability given a CVSS base score of 5.3, which the server giant interprets as “High Impact/Medium Probability of Occurrence.”

It noted that: “IBM iNotes SUService can be misguided into running malicious code from a DLL masquerading as a windows DLL in the temp directory.”

The issue affects IBM Notes 8.5.x and 9.0.x versions.



Source link

LEAVE A REPLY

Please enter your comment!
Please enter your name here